@use 'sass:math';
@use 'sass:string';
@use '../Abstracts' as lib;
//@use 'swiper/swiper';
@use '../../../../../../node_modules/swiper/swiper' as swiper;

// ================
// ===== News =====
// ================
.frame-list-type-news_pi1 {
  width: auto;
  max-width: unset;


  header {
    @include lib.set-content-width(lib.$min-content-width);
  }
}

.news {
  &__container {
    &--grey {
      padding-block: lib.$size-64;
    }
  }

  &__content {
    &--grey {
      padding: lib.$size-16 lib.$size-16 lib.$size-32;
      border-bottom-right-radius: lib.rem(24px);
      border-bottom-left-radius: lib.rem(24px);

      @include lib.breakpoint-min(sm) {
        padding: lib.$size-32 lib.$size-32 lib.$size-48;
      }
    }
  }

  &__article {
    display: grid;
    grid-template-rows: minmax(200px, 270px) 1fr;
    grid-template-columns: 1fr;
  }

  &__media {
    .news__container--grey & {
      border-bottom-right-radius: 0;
      border-bottom-left-radius: 0;
      margin-block-end: 0;
    }

    img, a {
      height: 100%;
    }
  }

  &__title {
    font-size: lib.$font-main-size-fluid;

    &--link {
      .news__content--grey & {
        color: lib.$col-dark-blue;

        &:hover {
          text-decoration-color: lib.$col-dark-blue;
        }
      }
    }
  }

  &__metadates {
    margin-bottom: lib.$size-8;
  }

  &__date {
    color: lib.$col-headline;
    font-weight: bold;
  }

  &__category,
  &__author {
    color: lib.$col-text-shaded;
  }

  &__swiper {
    @include lib.breakpoint-max(sm) {
      padding-inline: lib.$size-32;

      .swiper-wrapper {
        height: auto;
      }

      .swiper-slide {
        width: 100%;
        max-width: 310px;
      }
    }
  }

  .no-news-found {
    display: flex;
    flex-direction: column;
    max-width: calc(var(--client-vw, 100vw) - 4rem);
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    width: 60rem;
  }
}

// detailview
.newsdetail {
  &__header {
    overflow: hidden;
    margin-block-end: lib.$size-32;
  }

  &__metadates {
    position: relative;
    z-index: lib.$z-index-default * 2;
    color: lib.$col-red;
    font-weight: bold;
    text-align: center;
    margin-block-end: lib.$size-8;

    @include lib.set-content-width(lib.$min-content-width);
  }

  &__headline {
    position: relative;
    width: 60rem;
    z-index: lib.$z-index-default * 2;
  }
  h1 {
    color: lib.$col-headline-news;
  }

  &__media {
    @include lib.set-content-width(lib.$med-content-width);

    position: relative;
    z-index: lib.$z-index-default;

    .newsdetail__header &:after {
      content: '';
      position: absolute;
      top: -2rem;
      left: -100vw;
      z-index: lib.$z-index-below;
      width: 200vw;
      height: 100%;
      background-image: linear-gradient(lib.$col-white, lib.$col-black-05);

      @include lib.breakpoint-min(sm) {
        top: -4rem;
      }
    }

    &--caption {
      &:after {
        top: -9rem;

        @include lib.breakpoint-min(sm) {
          top: -8rem;
        }
      }
    }
  }

  &__video {
    border-radius: 0.375rem;
  }

  &__image {
    margin: 0;

    img {
      border-radius: 0.375rem;
    }
  }

  &__image-caption {
    padding: lib.$size-8 0;
    border-bottom: 1px solid lib.$col-black-20;
    color: lib.$col-black-60;
    font-size: lib.$font-small-size-fluid;
    text-align: center;
    margin-block-end: lib.$size-16;

    @include lib.breakpoint-min(sm) {
      padding: lib.$size-8 lib.$size-16;
    }

    @include lib.set-content-width(lib.$min-content-width);
  }

  &__text {
    @include lib.set-content-width(lib.$min-content-width);

    .frame-type-textmedia * {
      max-width: 100%;
    }
  }

  &__category {
    position: relative;
    z-index: lib.$z-index-default * 2;
    display: flex;
    gap: lib.$size-8;
    overflow-x: auto;
    max-width: max-content;
    padding-inline: lib.$size-32;
    margin-inline: auto;
    margin-block-end: lib.$size-16;
  }

  &__button {
    min-width: fit-content;
    padding: lib.$size-8 lib.$size-16;
    border-radius: lib.rem(48px);
    background-color: lib.$col-black-05;
    color: lib.$col-blue;
    font-size: lib.$font-small-size-fluid;
    line-height: normal;
  }

  &__thumbnails {
    clear: both;
    display: block;
    margin-top: 2rem;
    overflow: hidden;
    width: 100%;

    .newsdetail__media {
      max-width: 100%;

      @media (min-width: 400px) {
        display: flex;
        flex-wrap: wrap;
        align-content: flex-start;
        justify-content: space-evenly;
        align-items: center;
      }
    }

    .newsdetail__image {
      height: 11rem;
      padding: .5rem 0.25rem 1rem;
      width: 100%;

      &:first-child {
        display: none;
      }

      a {
        border-radius: 0.375rem;
        display: block;
        height: 100%;
        overflow: hidden;
        position: relative;
        width: 100%;

        &:active,
        &:focus,
        &:hover {
          box-shadow: 0 0 0 3px var(--col-link);
        }

        &:active img,
        &:focus img,
        &:hover img {
          border-radius: 0;
          transform: scale(1.05);
        }
      }

      img {
        height: 100%;
        object-fit: cover;
        width: 100%;
      }

      @media (min-width: 480px) {
        height: 7.5rem;
        width: 9.375rem;
      }
    }
  }

  .news-related-wrap {
    margin: 0 auto;
    width: 40rem;
  }
}

// swiper
.news-swiper__media {
  @include lib.breakpoint-min(sm) {
    display: none;
  }
}

.news-grid__media {
  display: none;

  @include lib.breakpoint-min(sm) {
    display: block;
  }
}

// Pagination
.f3-widget-paginator {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding-top: lib.$size-32;
  border-top: 1px solid lib.$col-black-20;

  .teaser__grid & {
    margin-top: lib.$size-32;
    border-top: 1px solid lib.$col-black-20;
  }

  .teaser__slider & {
    margin-top: lib.$size-32;
    border-top: 1px solid lib.$col-black-20;

    @include lib.set-content-width(lib.$min-content-width);
  }


  li {
    width: auto;
  }

  input {
    display: inline-block;
    width: lib.$size-64;
    padding: lib.$size-8;
    text-align: right;
  }


  .previous .button {
    padding: .45em .7em .45em .6em;
  }

  .next .button {
    padding: .45em .6em .45em .7em;
  }

  svg {
    width: 1rem;
    min-width: 1rem;
    height: 1rem;
    margin-top: .25rem;
    transform-origin: center;
  }

  .previous svg {
    transform: rotate(90deg);
  }

  .next svg {
    transform: rotate(-90deg);
  }
}

.news-search-form {
  margin-left: auto;
  margin-right: auto;
  max-width: calc(var(--client-vw, 100vw) - 2rem);
  width: 60rem;

  &.large {
    width: 80rem;
  }

  .form-group label {
    font-size: .7em;
    font-weight: bold;
    position: absolute;
    top: 0.5em;
    left: 1.3em;
  }
  .form-control {
    padding: 1.35em 0.5em 0.65em 0.8em;
  }

  .button {
    width: auto;
  }

  @media (min-width: 500px) {
    fieldset {
      align-items: stretch;
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
    }
    .form-group {
      position: relative;
      width: 100%;
    }
    .news-search-date {
      width: 49%;
    }
  }
}
.news-search-result {
  .count-msg {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 2rem;
    max-width: calc(var(--client-vw, 100vw) - 2rem);
    width: 80rem;
  }
}

.news-author-list {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4rem;
  max-width: calc(var(--client-vw, 100vw) - 2rem);
  width: 52rem;

  .news-author-item {
    width: 100%;
  }
  .news-author-imagewrap img {
    border-radius: 0.5rem;
    margin: 0 0 1.5rem 0;
  }
  h3 {
    font-size: 2rem;
    margin-bottom: 0.8rem;
  }
  h4 {
    font-size: 1.5rem;
    margin-bottom: 0.8rem;
  }

  @media (min-width: 480px) {
    .news-author-item {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      align-items: stretch;
      justify-content: space-between;
    }
    .news-author-imagewrap {
      flex: 0 1 24%;
      margin: 0 2rem 0 0;
    }
    .news-author-textwrap {
      flex: 0 1 76%;
    }
  }
}

#news-author-posts {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4rem;
  max-width: calc(var(--client-vw, 100vw) - 2rem);
  width: 80rem;

  .news-author-single {
    width: 100%;
  }
  .news-author-imglink {
    overflow: hidden;

      &:active img,
      &:focus img,
      &:hover img {
        transform: scale(1.05);
      }
      &:active .newsdetail__media,
      &:focus .newsdetail__media {
        box-shadow: 0 0 0 3px lib.$col-link;
      }
  }
  .newsdetail__media {
    box-shadow: 0 0.5rem 1rem 0 rgba(0,0,0,.1);
    border-radius: .5rem;
    margin-bottom: 1.5rem;
    max-width: 100%;
    overflow: hidden;
    width: 100%;

    img {
      box-shadow: 0 0.5rem 1rem 0 rgba(0,0,0,.1);
      border-radius: 0.5rem;
      margin: 0;
      transition: transform .5s;
    }
  }
  h5 {
    font-size: 1.25rem;
    line-height: 140%;
    margin-bottom: .5rem;
  }
  .news-author-date {
    display: inline-block;
    font-size: 1rem;
  }

  @media (min-width: 480px) {
    .news-author-postitem-wrap {
      display: grid;
      gap: 2rem;
      grid-template-columns: 1fr 1fr 1fr 1fr;

      .news-author-postitem {
        width: 100%;
      }
    }
  }
}